GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
debug_names::write_one_signatured_type_data Class Reference

## Public Member Functions
| write_one_signatured_type_data (debug_names &nametable_, signatured_type_index_data &&info_)

## Public Attributes
debug_names & | nametable
struct signatured_type_index_data | info

## Detailed Description

Definition at line 26264 of file dwarf2read.c.

## Constructor & Destructor Documentation

## ◆ write_one_signatured_type_data()

debug_names::write_one_signatured_type_data::write_one_signatured_type_data | ( | debug_names & | nametable_,
|  | signatured_type_index_data && | info_
| ) |  |
| inline

Definition at line 26267 of file dwarf2read.c.

## Member Data Documentation

## ◆ info

struct signatured_type_index_data debug_names::write_one_signatured_type_data::info

Definition at line 26272 of file dwarf2read.c.

Referenced by write_debug_names(), and debug_names::write_one_signatured_type().

## ◆ nametable

debug_names& debug_names::write_one_signatured_type_data::nametable

Definition at line 26271 of file dwarf2read.c.

Referenced by debug_names::write_one_signatured_type().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c